Index: prototipo/index.html
===================================================================
--- prototipo/index.html	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
+++ prototipo/index.html	(revision a210970051527890e1d5a4fe3f5114f1cead5eb3)
@@ -282,5 +282,9 @@
             <div id="Dialogo"> </div>          
           </div>
-
+          <div>
+            <table id="myJsonBDOC" class="display" cellspacing="0" width="100%">            
+            </table>  
+            <div id="DialogoBDOC"> </div>          
+          </div>
       </div>
       <div class="col-sm-8" id="Cuerpo_check">
Index: prototipo/static/js/functions/CheckSign/myInfoDataTableCheckBDOC.js
===================================================================
--- prototipo/static/js/functions/CheckSign/myInfoDataTableCheckBDOC.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
+++ prototipo/static/js/functions/CheckSign/myInfoDataTableCheckBDOC.js	(revision a210970051527890e1d5a4fe3f5114f1cead5eb3)
@@ -110,5 +110,5 @@
                 {title: "Código postal", data: function(event){ 
                                                         if(event.signaturePostalCode){
-                                                            return "signaturePostalCode";
+                                                            return event.signaturePostalCode;
                                                         }else{
                                                             return "Null";
@@ -120,5 +120,5 @@
                 {title: "Estado donde se realiza la firma", data: function(event){ 
                                                                         if(event.signatureState){
-                                                                            return "signatureState";
+                                                                            return event.signatureState;
                                                                         }else{
                                                                             return "Null";
@@ -136,5 +136,5 @@
                 {title: "País donde se realiza la firma", data: function(event){
                                                                         if(event.signatureCountry){
-                                                                            return "signatureCountry";
+                                                                            return event.signatureCountry;
                                                                         }else{
                                                                             return "Null";
Index: prototipo/static/js/functions/firmarDocumentoBDOC.js
===================================================================
--- prototipo/static/js/functions/firmarDocumentoBDOC.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
+++ prototipo/static/js/functions/firmarDocumentoBDOC.js	(revision a210970051527890e1d5a4fe3f5114f1cead5eb3)
@@ -1,39 +1,31 @@
-function FinalizarFirmaBDOC(){
+function FinalizarFirmaBDOC(signature, fileId){
 
+	$.ajax({
+		type: 'POST',
+		contentType: 'application/json',
+		//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/resenas",
+		//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/firmas/post",
+		url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/bdocs/firmas/post",
+		dataType: 'json',
+		data: JSON.stringify({"signature":signature.hex, "containerId":fileId}),
+		headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
+		success: function(data, textStatus, jqXHR){
+			/*
+			var json_x = data;
+			var msg = json_x['message'];												
+			alert('Archivo firmado en el servidor: ' + msg);
+			*/
+			
+			//var linkToDownload = "<a href=\"https://192.168.12.125:8443/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>"; 
+			//var linkToDownload = "<a href=\"https://172.16.137.11:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
+			var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
+			document.getElementById("respuesta").innerHTML = 'Archivo firmado correctamente: ' + data['signedFileId'] +'<br>'+linkToDownload;  
 
-    		$.ajax({
-				type: 'POST',
-				contentType: 'application/json',
-				//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/resenas",
-				//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/firmas/post",
-				url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/bdocs/firmas/post",
-				dataType: 'json',
-				data: JSON.stringify({"signature":signature.hex, "containerId":fileId}),
-				headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
-				success: function(data, textStatus, jqXHR){
-					/*
-					var json_x = data;
-					var msg = json_x['message'];												
-					alert('Archivo firmado en el servidor: ' + msg);
-					*/
-					alert('Archivo firmado correctamente: ' + data['signedFileId']);
-					
-					//alert("ver respuesta");
-					//var linkToDownload = "<a href=\"https://192.168.12.125:8443/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>"; 
-					//var linkToDownload = "<a href=\"https://172.16.137.11:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
-					var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
-					//alert(linkToDownload);
-					document.getElementById("respuesta").innerHTML = linkToDownload;  
-					
-					
-
-																	
-					
-				},
-				error: function(jqXHR, textStatus, errorThrown){
-					alert('error en /bdocs/resenas: ' + textStatus);
-					$("#respuesta").html("error en /bdocs/resenas: " + textStatus);
-				}
-			});
+		},
+		error: function(jqXHR, textStatus, errorThrown){
+			alert('error en /bdocs/resenas: ' + textStatus);
+			$("#respuesta").html("error en /bdocs/resenas: " + textStatus);
+		}
+	});
 						        			
 
@@ -56,35 +48,26 @@
 			var json_x = data;
 			var hash = json_x['hash']; 
-			//alert("hash recibido del servidor "+hash);
-			
 			var hashtype = "SHA-256";
 			var lang = "eng";
 			
-			window.hwcrypto.sign(cert, {type: hashtype, hex: hash}, {lang: lang}).then(function(signature) {
-				
-				//var signature = response.hex.match(/.{1,64}/g).join("\n");
-        		//log_text("Generated signature:\n" + response.hex.match(/.{1,64}/g).join("\n"));
-        		//log_text("Generated signature:\n" + signature.hex);
-        		
-        		//alert("valor de la firma: " + signature.hex);						        		
-        		FinalizarFirmaBDOC(signature.hex, fileId);
-
-      			}, function(err) {
-	        		log_text("sign() failed: " + err);
-	        		//alert("sign() failed: " + err);
-                                                        var error;
+			window.hwcrypto.sign(cert, {type: hashtype, hex: hash}, {lang: lang}).then(
+				function(signature) {					        		
+	        		FinalizarFirmaBDOC(signature, fileId);
+      			}, 
+      			function(err) {
+	        		log_text("sign() failed: " + err);        	
+                    var error;
 					if(err == "Error: user_cancel") {
-				    alert("sign() failed: El usuario cancelo la operación");
-				    error = "El usuario cancelo la operación"; 
-				}      
-				else if(err == "Error: no_certificates") {
-				    alert("sign() failed: No hay certificado disponible");
-				    error = "No hay certificado disponible";
-				}
-				else if(err == "Error: no_implementation") {
-				    alert("sign() failed: No hay soporte para el manejo del certificado");
-				    error = "No hay soporte para el manejo del certificado";
-				}	
-
+					    alert("sign() failed: El usuario cancelo la operación");
+					    error = "El usuario cancelo la operación"; 
+					}      
+					else if(err == "Error: no_certificates") {
+					    alert("sign() failed: No hay certificado disponible");
+					    error = "No hay certificado disponible";
+					}
+					else if(err == "Error: no_implementation") {
+					    alert("sign() failed: No hay soporte para el manejo del certificado");
+					    error = "No hay soporte para el manejo del certificado";
+					}	
 	        		$("#respuesta").html("sign() failed: " + error);
     	  	});
@@ -184,5 +167,5 @@
 
     for (var i=0; i<$("#file-sign-bdoc")[0].files.length; i++){
-		formData.append("upload", $("#file-sign")[0].files[i]);
+		formData.append("upload", $("#file-sign-bdoc")[0].files[i]);
 	}	
     
Index: prototipo/static/js/functions/firmarDocumentoPdf.js
===================================================================
--- prototipo/static/js/functions/firmarDocumentoPdf.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
+++ prototipo/static/js/functions/firmarDocumentoPdf.js	(revision a210970051527890e1d5a4fe3f5114f1cead5eb3)
@@ -44,5 +44,5 @@
 			}	
 
-			$('#myJson_wrapper').show();
+			$('table#myJson_wrapper').show();
         },
         error: function(jqXHR, textStatus, errorThrown){
@@ -67,8 +67,7 @@
 		success: function(data, textStatus, jqXHR){
 
-			alert('Archivo firmado correctamente: ' + data['signedFileId']);
 			var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
-			//alert(linkToDownload);
-			document.getElementById("respuesta").innerHTML = linkToDownload;	
+			document.getElementById("respuesta").innerHTML = 'Archivo firmado correctamente: ' + data['signedFileId']+ '<br>' +linkToDownload;	
+
 			$("#firmar-documento").hide();
 			$("#pdf-main-container").hide();
